package com.objis.demomvc.controller;

import java.util.List;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.servlet.mvc.AbstractController;

import com.objis.demomvc.model.Employe;
import com.objis.demomvc.service.EmployeManager;

@Controller
public class HomePageController extends AbstractController {

	@Autowired
	private EmployeManager employeManager;
	
	public void setEmployeManager(EmployeManager employeManager) {
		this.employeManager = employeManager;
	}

	@Override
	protected ModelAndView handleRequestInternal(HttpServletRequest arg0, HttpServletResponse arg1) throws Exception {
		List<Employe> listeEmploye = employeManager.getAllEmploye();
		
		return new ModelAndView("home", "employes", listeEmploye);
	}

}
